org.apache.fop.complexscripts.fonts

## Class GlyphTable.RuleSet

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.RuleSet

Direct Known Subclasses:
  GlyphTable.HomogeneousRuleSet

Enclosing class:
  GlyphTable

    public static class GlyphTable.RuleSet
    extends Object

The `RuleSet` class implements a collection of rules, which may or may not be the same rule type.

### Constructor Summary

Constructors
Constructor and Description
`RuleSet(GlyphTable.Rule[] rules)` Instantiate a Rule Set.

### Method Summary

All Methods Instance Methods Concrete Methods
`GlyphTable.Rule[]` `getRules()`
`void` `resolveLookupReferences(Map<String,GlyphTable.LookupTable> lookupTables)` Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RuleSet

    public RuleSet(GlyphTable.Rule[] rules)
            throws AdvancedTypographicTableFormatException

Instantiate a Rule Set.

Parameters:
  `rules` - the rules
Throws:
  `AdvancedTypographicTableFormatException` - if rules or some element of rules is null

### Method Detail

#### getRules

    public GlyphTable.Rule[] getRules()

Returns:
  the rules

#### resolveLookupReferences

    public void resolveLookupReferences(Map<String,GlyphTable.LookupTable> lookupTables)

Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.

Parameters:
  `lookupTables` - map from lookup table identifers, e.g. "lu4", to lookup tables

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`